org.apache.ode.bpel.pmapi.impl

## Class CommunicationTypeImpl.ExchangeImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.ode.bpel.pmapi.impl.CommunicationTypeImpl.ExchangeImpl

- All Implemented Interfaces:
    java.io.Serializable, CommunicationType.Exchange, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  Enclosing class:
    CommunicationTypeImpl

      public static class CommunicationTypeImpl.ExchangeImpl
      extends org.apache.xmlbeans.impl.values.XmlComplexContentImpl
      implements CommunicationType.Exchange

  An XML exchange(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.ode.bpel.pmapi.CommunicationType.Exchange

      `CommunicationType.Exchange.Factory`

  - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.ode.bpel.pmapi.CommunicationType.Exchange

      `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommunicationTypeImpl.ExchangeImpl(org.apache.xmlbeans.SchemaType sType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FailureType` | `addNewFailure()` Appends and returns a new empty "failure" element
    `FaultType` | `addNewFault()` Appends and returns a new empty "fault" element
    `org.apache.xmlbeans.XmlObject` | `addNewIn()` Appends and returns a new empty "in" element
    `org.apache.xmlbeans.XmlObject` | `addNewOut()` Appends and returns a new empty "out" element
    `java.util.Calendar` | `getCreateTime()` Gets the "createTime" element
    `FailureType` | `getFailure()` Gets the "failure" element
    `FaultType` | `getFault()` Gets the "fault" element
    `org.apache.xmlbeans.XmlObject` | `getIn()` Gets the "in" element
    `java.lang.String` | `getOperation()` Gets the "operation" element
    `org.apache.xmlbeans.XmlObject` | `getOut()` Gets the "out" element
    `javax.xml.namespace.QName` | `getService()` Gets the "service" element
    `ExchangeType.Enum` | `getType()` Gets the "type" element
    `boolean` | `isSetFailure()` True if has "failure" element
    `boolean` | `isSetFault()` True if has "fault" element
    `boolean` | `isSetOut()` True if has "out" element
    `void` | `setCreateTime(java.util.Calendar createTime)` Sets the "createTime" element
    `void` | `setFailure(FailureType failure)` Sets the "failure" element
    `void` | `setFault(FaultType fault)` Sets the "fault" element
    `void` | `setIn(org.apache.xmlbeans.XmlObject in)` Sets the "in" element
    `void` | `setOperation(java.lang.String operation)` Sets the "operation" element
    `void` | `setOut(org.apache.xmlbeans.XmlObject out)` Sets the "out" element
    `void` | `setService(javax.xml.namespace.QName service)` Sets the "service" element
    `void` | `setType(ExchangeType.Enum type)` Sets the "type" element
    `void` | `unsetFailure()` Unsets the "failure" element
    `void` | `unsetFault()` Unsets the "fault" element
    `void` | `unsetOut()` Unsets the "out" element
    `org.apache.xmlbeans.XmlDateTime` | `xgetCreateTime()` Gets (as xml) the "createTime" element
    `org.apache.xmlbeans.XmlString` | `xgetOperation()` Gets (as xml) the "operation" element
    `org.apache.xmlbeans.XmlQName` | `xgetService()` Gets (as xml) the "service" element
    `ExchangeType` | `xgetType()` Gets (as xml) the "type" element
    `void` | `xsetCreateTime(org.apache.xmlbeans.XmlDateTime createTime)` Sets (as xml) the "createTime" element
    `void` | `xsetOperation(org.apache.xmlbeans.XmlString operation)` Sets (as xml) the "operation" element
    `void` | `xsetService(org.apache.xmlbeans.XmlQName service)` Sets (as xml) the "service" element
    `void` | `xsetType(ExchangeType type)` Sets (as xml) the "type" element

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### CommunicationTypeImpl.ExchangeImpl

          public CommunicationTypeImpl.ExchangeImpl(org.apache.xmlbeans.SchemaType sType)

  - ### Method Detail

    - #### getType

          public ExchangeType.Enum getType()

      Gets the "type" element
      Specified by:
        `getType` in interface `CommunicationType.Exchange`

    - #### xgetType

          public ExchangeType xgetType()

      Gets (as xml) the "type" element
      Specified by:
        `xgetType` in interface `CommunicationType.Exchange`

    - #### setType

          public void setType(ExchangeType.Enum type)

      Sets the "type" element
      Specified by:
        `setType` in interface `CommunicationType.Exchange`

    - #### xsetType

          public void xsetType(ExchangeType type)

      Sets (as xml) the "type" element
      Specified by:
        `xsetType` in interface `CommunicationType.Exchange`

    - #### getCreateTime

          public java.util.Calendar getCreateTime()

      Gets the "createTime" element
      Specified by:
        `getCreateTime` in interface `CommunicationType.Exchange`

    - #### xgetCreateTime

          public org.apache.xmlbeans.XmlDateTime xgetCreateTime()

      Gets (as xml) the "createTime" element
      Specified by:
        `xgetCreateTime` in interface `CommunicationType.Exchange`

    - #### setCreateTime

          public void setCreateTime(java.util.Calendar createTime)

      Sets the "createTime" element
      Specified by:
        `setCreateTime` in interface `CommunicationType.Exchange`

    - #### xsetCreateTime

          public void xsetCreateTime(org.apache.xmlbeans.XmlDateTime createTime)

      Sets (as xml) the "createTime" element
      Specified by:
        `xsetCreateTime` in interface `CommunicationType.Exchange`

    - #### getService

          public javax.xml.namespace.QName getService()

      Gets the "service" element
      Specified by:
        `getService` in interface `CommunicationType.Exchange`

    - #### xgetService

          public org.apache.xmlbeans.XmlQName xgetService()

      Gets (as xml) the "service" element
      Specified by:
        `xgetService` in interface `CommunicationType.Exchange`

    - #### setService

          public void setService(javax.xml.namespace.QName service)

      Sets the "service" element
      Specified by:
        `setService` in interface `CommunicationType.Exchange`

    - #### xsetService

          public void xsetService(org.apache.xmlbeans.XmlQName service)

      Sets (as xml) the "service" element
      Specified by:
        `xsetService` in interface `CommunicationType.Exchange`

    - #### getOperation

          public java.lang.String getOperation()

      Gets the "operation" element
      Specified by:
        `getOperation` in interface `CommunicationType.Exchange`

    - #### xgetOperation

          public org.apache.xmlbeans.XmlString xgetOperation()

      Gets (as xml) the "operation" element
      Specified by:
        `xgetOperation` in interface `CommunicationType.Exchange`

    - #### setOperation

          public void setOperation(java.lang.String operation)

      Sets the "operation" element
      Specified by:
        `setOperation` in interface `CommunicationType.Exchange`

    - #### xsetOperation

          public void xsetOperation(org.apache.xmlbeans.XmlString operation)

      Sets (as xml) the "operation" element
      Specified by:
        `xsetOperation` in interface `CommunicationType.Exchange`

    - #### getIn

          public org.apache.xmlbeans.XmlObject getIn()

      Gets the "in" element
      Specified by:
        `getIn` in interface `CommunicationType.Exchange`

    - #### setIn

          public void setIn(org.apache.xmlbeans.XmlObject in)

      Sets the "in" element
      Specified by:
        `setIn` in interface `CommunicationType.Exchange`

    - #### addNewIn

          public org.apache.xmlbeans.XmlObject addNewIn()

      Appends and returns a new empty "in" element
      Specified by:
        `addNewIn` in interface `CommunicationType.Exchange`

    - #### getOut

          public org.apache.xmlbeans.XmlObject getOut()

      Gets the "out" element
      Specified by:
        `getOut` in interface `CommunicationType.Exchange`

    - #### isSetOut

          public boolean isSetOut()

      True if has "out" element
      Specified by:
        `isSetOut` in interface `CommunicationType.Exchange`

    - #### setOut

          public void setOut(org.apache.xmlbeans.XmlObject out)

      Sets the "out" element
      Specified by:
        `setOut` in interface `CommunicationType.Exchange`

    - #### addNewOut

          public org.apache.xmlbeans.XmlObject addNewOut()

      Appends and returns a new empty "out" element
      Specified by:
        `addNewOut` in interface `CommunicationType.Exchange`

    - #### unsetOut

          public void unsetOut()

      Unsets the "out" element
      Specified by:
        `unsetOut` in interface `CommunicationType.Exchange`

    - #### getFault

          public FaultType getFault()

      Gets the "fault" element
      Specified by:
        `getFault` in interface `CommunicationType.Exchange`

    - #### isSetFault

          public boolean isSetFault()

      True if has "fault" element
      Specified by:
        `isSetFault` in interface `CommunicationType.Exchange`

    - #### setFault

          public void setFault(FaultType fault)

      Sets the "fault" element
      Specified by:
        `setFault` in interface `CommunicationType.Exchange`

    - #### addNewFault

          public FaultType addNewFault()

      Appends and returns a new empty "fault" element
      Specified by:
        `addNewFault` in interface `CommunicationType.Exchange`

    - #### unsetFault

          public void unsetFault()

      Unsets the "fault" element
      Specified by:
        `unsetFault` in interface `CommunicationType.Exchange`

    - #### getFailure

          public FailureType getFailure()

      Gets the "failure" element
      Specified by:
        `getFailure` in interface `CommunicationType.Exchange`

    - #### isSetFailure

          public boolean isSetFailure()

      True if has "failure" element
      Specified by:
        `isSetFailure` in interface `CommunicationType.Exchange`

    - #### setFailure

          public void setFailure(FailureType failure)

      Sets the "failure" element
      Specified by:
        `setFailure` in interface `CommunicationType.Exchange`

    - #### addNewFailure

          public FailureType addNewFailure()

      Appends and returns a new empty "failure" element
      Specified by:
        `addNewFailure` in interface `CommunicationType.Exchange`

    - #### unsetFailure

          public void unsetFailure()

      Unsets the "failure" element
      Specified by:
        `unsetFailure` in interface `CommunicationType.Exchange`